{% load static %}
<html>
<head>
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css" integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">

<style type="text/css">
body {
  background: url('https://image.freepik.com/free-photo/smooth-dark-blue-with-black-vignette-studio-well-use-as-background-business-report-digital-website-template_1258-748.jpg') no-repeat center center fixed;
  -webkit-background-size: cover;
  -moz-background-size: cover;
  background-size: cover;
  -o-background-size: cover;

}
.button{
    height: 65px;
    width: 65px;
    background-color: #bbb;
</style>
</head>
			{% include 'navbar.html' %}

<div class="container pt-5 pl-2">
	<div class="row">
	<div class="card" style="background-color: #d28f74">
          <h4>Tambahkan Kegiatan Baru </h4>
    <div class="card-body">
        	<form action="" method="post" class="mt-4 kegiatan-form" class="card-text">
            {{formkegiatan}}
            {% csrf_token %}
            <input type="submit" class="btn btn-warning mt-2" value="Tambahkan"> 
        	</form>
        
    </div>
	</div>
	<div class="col-md-4" style="background-color: #d28f74">
		Web ini dibuat dengan tujuan menciptakan sebuah data kegiatan beserta para pesertanya. User bisa menambahkan kegiatan dan juga menambahkan peserta dari tiap kegiatan
	</div>
</div>
</div>

<div class="container pt-5 pl-5 fluid">
	<div class="row">
		{% for kegiatan in data_kegiatan %}
		<div class="col-md-4 pt-5">
        <div class="card" style="width: 18rem; background-color: #c8c3c1;">
        	Nama Kegiatan:
          {{ kegiatan.0.nama }}<br>
            Nama Peserta:<br>

          <div class="card-body" style="background-color: grey;">
          	{% for peserta in kegiatan.1 %}
          	{{peserta.nama}}
          	<br>
          	{% endfor %}
          </div>
          <div class="card-body">
          	<button type="button" class="btn btn-primary" data-toggle="modal" data-target="#exampleModalLong" onclick="tambahPeserta('{{kegiatan.0.nama}}',{{kegiatan.0.id}})">
          		Tambah Peserta
			</button>
        </div>
		</div>
	</div>
		{% endfor %}
	</div>
	<div class="modal fade" id="exampleModalLong" tabindex="-1" role="dialog" aria-labelledby="exampleModalLongTitle" aria-hidden="true">
	<div class="modal-dialog" role="document">
	<div class="modal-content">
	  <div class="modal-header">
	    <h5 class="modal-title" id="exampleModalLongTitle">Nama Kegiatan : <span id="namaKegiatan"></span></h5>
	    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
	      <span aria-hidden="true">&times;</span>
	    </button>
	  </div>
	  <div class="modal-body">
	  	<form id="form" method="POST">
                {% csrf_token %}
                  <input type="hidden" name="id_kegiatan" id="idKegiatan" value="">
                {{formpeserta}}
                  <button type="submit" class="btn btn-primary">Daftar</button>
	  </div>
	  <div class="modal-footer">

	    <button type="button" class="btn btn-secondary" data-dismiss="modal">Back</button>
	  </div>
	</div>
	</div>
	</div>
</div>
</div>

	<script src="https://code.jquery.com/jquery-3.4.1.slim.min.js" integrity="sha384-J6qa4849blE2+poT4WnyKhv5vZF5SrPo0iEjwBvKU7imGFAV0wwj1yYfoRSJoZ+n" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.0/dist/umd/popper.min.js" integrity="sha384-Q6E9RHvbIyZFJoft+2mJbHaEWldlvI9IOYy5n3zV9zzTtmI3UksdQRVvoxMfooAo" crossorigin="anonymous"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js" integrity="sha384-wfSDF2E50Y2D1uUdj0O3uMBJnjuUD4Ih7YwaYd1iqfktj0Uod8GCExl3Og8ifwB6" crossorigin="anonymous"></script>
<script type="text/javascript">
	function tambahPeserta(namaKegiatan, idKegiatan){
    document.getElementById('namaKegiatan').innerHTML=namaKegiatan;
    document.getElementById('idKegiatan').value=idKegiatan;
}


</script>


</body>
</html>
